
import axios from 'axios';
const baseUri = "waterFunctionArea/autonomousWaterFunctionAreaPoint";
const listAllUrl = baseUri + "";

// 添加
const saveStandard = function (data) {
    return axios.post("waterFunctionArea/autonomousWaterFunctionAreaPoint",data)
}

// 删除
const removeStandard = function (id) {
    return axios.delete(`waterFunctionArea/autonomousWaterFunctionAreaPoint/${id}`,)
}
// 批量删除
const removeBatchStandard = function (ids) {
    return axios.delete("waterFunctionArea/autonomousWaterFunctionAreaPoint/batch",{data:ids})
}

// 修改
const updateStandard = function (data) {
    return axios.put("waterFunctionArea/autonomousWaterFunctionAreaPoint",data)
}

const copyBatchStandard = function (data){
    return axios.post("waterFunctionArea/autonomousWaterFunctionAreaPoint/copyBatch",data)
}
const getColumnOptions = function(column){
    return axios.get("waterFunctionArea/autonomousWaterFunctionAreaPoint/options",{params:{column}})
}
const listInfo = function(){
    return axios.post("/waterFunctionArea/autonomousWaterFunctionAreaPoint/listInfo",{})
}
export {
    listAllUrl,
    saveStandard,
    updateStandard,
    removeBatchStandard,
    removeStandard,
    copyBatchStandard,
    getColumnOptions,
    listInfo

}
